iCalendlyDeveloper Docs
Cal unified calendars

GETGet event for a connection

Get a single event by ID for the specified calendar connection. Only supported for Google Calendar connections; other connection types return 400.

GET/v2/calendars/connections/{connectionId}/events/{eventId}

Path Parameters

connectionIdRequiredstring
eventIdRequiredstring

Query Parameters

calendarIdstring

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/calendars/connections/<string>/events/<string>?calendarId=%3Cstring%3E" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": {
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "id": "string",
    "title": "string",
    "description": "string",
    "locations": [
      {
        "type": "video",
        "url": "string",
        "label": "string",
        "password": "string",
        "meetingCode": "string",
        "accessCode": "string"
      }
    ],
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted",
    "hosts": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted"
      }
    ],
    "calendarEventOwner": {
      "email": "string",
      "name": "string"
    },
    "source": "google"
  }
}